gtk3-0.15.10: Binding to the Gtk+ 3 graphical user interface library

Maintainer | gtk2hs-users@lists.sourceforge.net
Stability | provisional
Portability | portable (depends on GHC)
Safe Haskell | None
Language | Haskell98

Graphics.UI.Gtk.Layout.VButtonBox

Contents

- Detail
- Class Hierarchy
- Types
- Constructors

Description

A container for arranging buttons vertically

Synopsis

- data VButtonBox
- class ButtonBoxClass o => VButtonBoxClass o
- castToVButtonBox :: GObjectClass obj => obj -> VButtonBox
- gTypeVButtonBox :: GType
- toVButtonBox :: VButtonBoxClass o => o -> VButtonBox
- vButtonBoxNew :: IO VButtonBox

# Detail

A button box should be used to provide a consistent layout of buttons throughout your application. The layout/spacing can be altered by the programmer, or if desired, by the user to alter the 'feel' of a program to a small degree.

A `VButtonBox` is created with `vButtonBoxNew`. Buttons are packed into a button box the same way widgets are added to any other container, using `containerAdd`. You can also use `boxPackStart` or `boxPackEnd`, but for button boxes both these functions work just like `containerAdd`, ie., they pack the button in a way that depends on the current layout style and on whether the button has had `buttonBoxSetChildSecondary` called on it.

The spacing between buttons can be set with `boxSetSpacing`. The arrangement and layout of the buttons can be changed with `buttonBoxSetLayout`.

# Class Hierarchy

    | GObject
    | +----Object
    | +----Widget
    | +----Container
    | +----Box
    | +----ButtonBox
    | +----VButtonBox

# Types

data VButtonBox Source #

#### Instances

Instances details

Eq VButtonBox Source # |
Instance details Defined in Graphics.UI.Gtk.Types Methods (==) :: VButtonBox -> VButtonBox -> Bool Source # (/=) :: VButtonBox -> VButtonBox -> Bool Source #
Ord VButtonBox Source # |

Instance details

Defined in Graphics.UI.Gtk.Types

Methods

compare :: VButtonBox -> VButtonBox -> Ordering Source #

(<) :: VButtonBox -> VButtonBox -> Bool Source #

(<=) :: VButtonBox -> VButtonBox -> Bool Source #

(>) :: VButtonBox -> VButtonBox -> Bool Source #

(>=) :: VButtonBox -> VButtonBox -> Bool Source #

max :: VButtonBox -> VButtonBox -> VButtonBox Source #

min :: VButtonBox -> VButtonBox -> VButtonBox Source #

GObjectClass VButtonBox Source # |
Instance details Defined in Graphics.UI.Gtk.Types Methods toGObject :: VButtonBox -> GObject Source # unsafeCastGObject :: GObject -> VButtonBox Source #
BoxClass VButtonBox Source # |
Instance details Defined in Graphics.UI.Gtk.Types
ButtonBoxClass VButtonBox Source # |
Instance details Defined in Graphics.UI.Gtk.Types
ContainerClass VButtonBox Source # |
Instance details Defined in Graphics.UI.Gtk.Types
VButtonBoxClass VButtonBox Source # |
Instance details Defined in Graphics.UI.Gtk.Types
WidgetClass VButtonBox Source # |
Instance details Defined in Graphics.UI.Gtk.Types

class ButtonBoxClass o => VButtonBoxClass o Source #

#### Instances

Instances details

VButtonBoxClass VButtonBox Source # |
Instance details Defined in Graphics.UI.Gtk.Types

castToVButtonBox :: GObjectClass obj => obj -> VButtonBox Source #

gTypeVButtonBox :: GType Source #

toVButtonBox :: VButtonBoxClass o => o -> VButtonBox Source #

# Constructors

vButtonBoxNew :: IO VButtonBox Source #

Creates a new vertical button box.